<template>
  <div class="main user-layout-confirm">
    <div>
      アカウントが確認されています。少々お待ちください
    </div>
    <a-form
      id="formConfirm"
      ref="formConfirm"
      :form="form"
      @submit="handleSubmit"
    >
      <a-form-item>
        <a @click="signIn" class="login">ログインに戻る</a>
      </a-form-item>
    </a-form>
  </div>
</template>

<script>
import { Auth } from 'aws-amplify'

export default {
  name: 'ConfirmSignUp',
  props: {
    confirmSignUpConfig: {
      type: Object,
      default: () => {}
    }
  },
  data () {
    return {
      form: this.$form.createForm(this),
      state: {
        time: 60,
        smsSendBtn: false
      },
      confirmBtn: false
    }
  },
  computed: {
    options () {
      const defaults = {
        username: ''
      }
      return Object.assign(defaults, this.confirmSignUpConfig || {})
    }
  },
  methods: {
    handleSubmit (e) {
      e.preventDefault()
    },
    confirm (username, code) {
      this.confirmBtn = true
      Auth.confirmSignUp(username, code)
        .then(() => {
          this.$bus.$emit('authState', 'signIn')
        })
        .catch(console.error)
        .finally(() => {
          this.confirmBtn = false
        })
    },
    signIn () {
      this.$bus.$emit('authState', 'signIn')
    }
  }
}
</script>
<style lang="less">
.user-register {
  &.error {
    color: #ff0000;
  }

  &.warning {
    color: #ff7e05;
  }

  &.success {
    color: #52c41a;
  }
}

.user-layout-confirm {
  .ant-input-group-addon:first-child {
    background-color: #fff;
  }
}
</style>
<style lang="less" scoped>
.user-layout-confirm {
  & > h3 {
    font-size: 16px;
    margin-bottom: 20px;
  }

  .getCaptcha {
    display: block;
    width: 100%;
    height: 40px;
  }

  .register-button {
    width: 50%;
  }

  .login {
    float: right;
    line-height: 40px;
  }
}
</style>
